=== debian/changelog ===
iputils (3:20070202-1) unstable; urgency=low

  * New upstream version (Closes: Bug#285420, Bug#391618, Bug#404199)
  * Fix documentation for tracepath (Closes: Bug#185156)
  * Use alternatives to manage traceroute6 so we can be installed
    alongside ndisc6. Thanks to Rémi Denis-Courmont for the
    patch. (Closes: Bug#380677)    
  * Bump standards version to 3.7.2.2 (no changes needed)
  
 -- Noah Meyerhans <noahm@debian.org>  Thu, 12 Apr 2007 18:45:01 -0400

iputils (3:20020927-6) unstable; urgency=medium

  * Fix an error in the previous version that resulted in the offsets in
    cmsgbuf still getting set wrong.  (basically I messed up my order of
    operations and sent pointers flying off into who knows where.  Ooops.)
  * Make sure my .svn directories don't make it into the .diff.gz.

 -- Noah Meyerhans <noahm@debian.org>  Tue, 30 Jan 2007 18:07:02 -0500

iputils (3:20020927-5) unstable; urgency=medium

  * fix typo in debian/control entry for netkit-ping
  * Fix error in pr_type where the index into the ttab2 array was off by
    128.  (Closes: Bug#293985)
  * Fix a bug in ping6.c where the cmsghdr struct associated with a device
    provided via the -I command line flag would clobber any existing
    cmsghdrs in cmsgbuf, which would exist of source routing information
    was provided.

 -- Noah Meyerhans <noahm@debian.org>  Sat, 27 Jan 2007 11:45:34 -0500

iputils (3:20020927-4) unstable; urgency=medium

  * Acknowledge NMU
  * Apply patch from Loïc Minier <lool@dooz.org> to fix arping behavior
    when -w and -c command line flags are given and the target host
    does not reply.  (Closes: Bug#233125)
  * Provide a netkit-ping package so there's a smooth upgrade path for
    people who had the old netkit ping implementation installed.
    (Closes: Bug#384012)
  * Apply patch from Rémi Denis-Courmont <rdenis@simphalempin.com> to
    fix incompatibilities with 2.4 and older 2.6 kernels in ping6 and
    tracepath6.  (Closes: Bug#402121, Bug#397935)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 19 Dec 2006 17:05:27 -0500

iputils (3:20020927-3.1) unstable; urgency=low

  * NMU
  * Use IPV6_RECVHOPLIMIT instead of IPV6_HOPLIMIT in ping6 to build
    with current kernel headers. Closes: #391601
  * Explicitly build-depend on the current version of linux-kernel-headers
    since older ones don't have IPV6_RECVHOPLIMIT.

 -- Joey Hess <joeyh@debian.org>  Sat, 14 Oct 2006 23:48:44 -0400

iputils (3:20020927-3) unstable; urgency=low

  * only requst AF_INET address in ping and tracepath, since these
    tools only deal with IPv4 addresses.  (Closes: Bug#305062)
  * SO_TIMESTAMP is no longer broken on SPARC so its use is no longer
    disabled.  (Closes: Bug#330909)
  * Report all valid ICMP response types in ping (Closes: Bug#186745)
  * Don't print out a bogus and broken statistics line upon exit
    if using -A and pinging an unresponsive host.  (Closes: Bug#180903)
  * Provide a somewhat more descriptive warning if CONFIG_FILTER is
    not supported in the kernel.  This shouldn't matter anymore, since
    it's always enabled on modern kernels.  (Closes: Bug#139151)
  * Use debhelper compat level 4.
  * Move binaries to /usr/bin (Closes: Bug#141799)

 -- Noah Meyerhans <noahm@debian.org>  Sat, 22 Oct 2005 10:54:50 -0400

iputils (3:20020927-2) unstable; urgency=low

  * Build system cleanup.  Stop including anything from /usr/src/linux.
    We still define our own versions of things that should be included
    from /usr/src/sys, and this needs to be fixed, but I will wait until
    post sarge to do so.  (Closes: Bug#223164)
  * Install symlink for tracepath6 man page.

 -- Noah Meyerhans <noahm@debian.org>  Mon, 22 Dec 2003 15:26:54 -0500

iputils (3:20020927-1) unstable; urgency=medium

  * New upstream version.  (Closes: Bug#151980)
  * Changed iputils-ping to Priority: important
  * Changed iputils-tracepath to Priority: optional
  * Added RELNOTES to /usr/share/doc/iputils-* as the upstream changelog.
  * Bumped standards version to 3.5.7.0
  * Changed the sparc kludge (see prev. version's changes) to avoid
    using the SO_TIMESTAMP sockopt, since that seems to be where the 
    problem is.  -U is no longer forced.
  * Fixed '==' typo on line 444 of traceroute6.c.  The patch has been
    sent upstream and will be in future releases.

 -- Noah Meyerhans <noahm@debian.org>  Wed,  2 Oct 2002 23:49:21 -0400

iputils (3:20020124-3) unstable; urgency=medium

  * Added kludge to force -U on ping and ping6 on SPARC, since neither
    program will report correct times at all otherwise.  This will be fixed
    correctly at some point in the future, but possibly not before
    woody's release.  (Closes: Bug#122379)
  * Fixed a printf error in tracepath6.c that caused some slightly
    ugly (non zero-padded) output. (Closes: Bug#141300)
  * Fixed a typo in tracepath.8 (Closes: Bug#135274)
  * Removed reference to clockdiff(8) from arping.8 since clockdiff
    is not packaged.

 -- Noah Meyerhans <noahm@debian.org>  Sun, 21 Apr 2002 02:07:55 -0400

iputils (3:20020124-2) unstable; urgency=low

  * Added newlines to network error indicators in ping6 
    (Closes: Bug#140254, Bug#119651)

 -- Noah Meyerhans <noahm@debian.org>  Wed, 17 Apr 2002 00:32:03 -0400

iputils (3:20020124-1) unstable; urgency=low

  * New upstream release. (Closes: Bug#119651, Bug#120166)
  * Improved the build process.  Uses new debhelper scripts.
  * Added new build deps for manpage auto-generation from SGML source.

 -- Noah Meyerhans <noahm@debian.org>  Tue, 29 Jan 2002 16:32:58 -0500

iputils (3:0ss010824-1) unstable; urgency=low

  * New upstream release (Closes: Bug#113306)

 -- Noah Meyerhans <noahm@gnat.lcs.mit.edu>  Wed, 26 Sep 2001 17:09:51 -0400

iputils (20001110-7) unstable; urgency=low

  * Fixed the Conflicts line for iputils-arping.  (Closes: Bug#100287)
  * Removed an obsolete call to dh_testversion in debian/rules

 -- Noah Meyerhans <noahm@debian.org>  Wed, 13 Jun 2001 22:11:30 -0400


